ZWrtTextInternal::State Struct Reference

Internal: the state of a ZWrtText. More...

## Public Member Functions

| State ()
| constructor
Section & | getSection (int id)
| return a section for an id ( if it does not exists, create id )

## Public Attributes

int | m_version
| the file version
int | m_numPages
int | m_actualPage
std::map< int, Section > | m_idSectionMap
| a map id -> section
HFZone | m_header
| the header zone
HFZone | m_footer
| the footer zone

## Detailed Description

Internal: the state of a ZWrtText.

## Constructor & Destructor Documentation

## State()

ZWrtTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getSection()

Section & ZWrtTextInternal::State::getSection | ( | int | id | ) |

inline

return a section for an id ( if it does not exists, create id )

## Member Data Documentation

## m_actualPage

int ZWrtTextInternal::State::m_actualPage

Referenced by State().

## m_footer

HFZone ZWrtTextInternal::State::m_footer

the footer zone

Referenced by State().

## m_header

HFZone ZWrtTextInternal::State::m_header

the header zone

Referenced by State().

## m_idSectionMap

std::map<int, Section> ZWrtTextInternal::State::m_idSectionMap

a map id -> section

Referenced by getSection(), and State().

## m_numPages

int ZWrtTextInternal::State::m_numPages

Referenced by State().

## m_version

int ZWrtTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- ZWrtText.cxx